Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.domain
Class Order

    java.lang.Object
      com.ibatis.jpetstore.domain.Order

All Implemented Interfaces:
  Serializable

public class Order
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private String` | `billAddress1`
`private String` | `billAddress2`
`private String` | `billCity`
`private String` | `billCountry`
`private String` | `billState`
`private String` | `billToFirstName`
`private String` | `billToLastName`
`private String` | `billZip`
`private String` | `cardType`
`private String` | `courier`
`private String` | `creditCard`
`private String` | `expiryDate`
`private List` | `lineItems`
`private String` | `locale`
`private Date` | `orderDate`
`private int` | `orderId`
`private String` | `shipAddress1`
`private String` | `shipAddress2`
`private String` | `shipCity`
`private String` | `shipCountry`
`private String` | `shipState`
`private String` | `shipToFirstName`
`private String` | `shipToLastName`
`private String` | `shipZip`
`private String` | `status`
`private BigDecimal` | `totalPrice`
`private String` | `username`

Constructor Summary
`Order()`

Method Summary
`void` | `addLineItem(CartItem cartItem)`
`void` | `addLineItem(LineItem lineItem)`
`String` | `getBillAddress1()`
`String` | `getBillAddress2()`
`String` | `getBillCity()`
`String` | `getBillCountry()`
`String` | `getBillState()`
`String` | `getBillToFirstName()`
`String` | `getBillToLastName()`
`String` | `getBillZip()`
`String` | `getCardType()`
`String` | `getCourier()`
`String` | `getCreditCard()`
`String` | `getExpiryDate()`
`List` | `getLineItems()`
`String` | `getLocale()`
`Date` | `getOrderDate()`
`int` | `getOrderId()`
`String` | `getShipAddress1()`
`String` | `getShipAddress2()`
`String` | `getShipCity()`
`String` | `getShipCountry()`
`String` | `getShipState()`
`String` | `getShipToFirstName()`
`String` | `getShipToLastName()`
`String` | `getShipZip()`
`String` | `getStatus()`
`BigDecimal` | `getTotalPrice()`
`String` | `getUsername()`
`void` | `initOrder(Account account, Cart cart)`
`void` | `setBillAddress1(String billAddress1)`
`void` | `setBillAddress2(String billAddress2)`
`void` | `setBillCity(String billCity)`
`void` | `setBillCountry(String billCountry)`
`void` | `setBillState(String billState)`
`void` | `setBillToFirstName(String billToFirstName)`
`void` | `setBillToLastName(String billToLastName)`
`void` | `setBillZip(String billZip)`
`void` | `setCardType(String cardType)`
`void` | `setCourier(String courier)`
`void` | `setCreditCard(String creditCard)`
`void` | `setExpiryDate(String expiryDate)`
`void` | `setLineItems(List lineItems)`
`void` | `setLocale(String locale)`
`void` | `setOrderDate(Date orderDate)`
`void` | `setOrderId(int orderId)`
`void` | `setShipAddress1(String shipAddress1)`
`void` | `setShipAddress2(String shipAddress2)`
`void` | `setShipCity(String shipCity)`
`void` | `setShipCountry(String shipCountry)`
`void` | `setShipState(String shipState)`
`void` | `setShipToFirstName(String shipFoFirstName)`
`void` | `setShipToLastName(String shipToLastName)`
`void` | `setShipZip(String shipZip)`
`void` | `setStatus(String status)`
`void` | `setTotalPrice(BigDecimal totalPrice)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderId

    private int orderId

### username

    private String username

### orderDate

    private Date orderDate

### shipAddress1

    private String shipAddress1

### shipAddress2

    private String shipAddress2

### shipCity

    private String shipCity

### shipState

    private String shipState

### shipZip

    private String shipZip

### shipCountry

    private String shipCountry

### billAddress1

    private String billAddress1

### billAddress2

    private String billAddress2

### billCity

    private String billCity

### billState

    private String billState

### billZip

    private String billZip

### billCountry

    private String billCountry

### courier

    private String courier

### totalPrice

    private BigDecimal totalPrice

### billToFirstName

    private String billToFirstName

### billToLastName

    private String billToLastName

### shipToFirstName

    private String shipToFirstName

### shipToLastName

    private String shipToLastName

### creditCard

    private String creditCard

### expiryDate

    private String expiryDate

### cardType

    private String cardType

### locale

    private String locale

### status

    private String status

### lineItems

    private List lineItems

Constructor Detail

### Order

    public Order()

Method Detail

### getOrderId

    public int getOrderId()

### setOrderId

    public void setOrderId(int orderId)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getOrderDate

    public Date getOrderDate()

### setOrderDate

    public void setOrderDate(Date orderDate)

### getShipAddress1

    public String getShipAddress1()

### setShipAddress1

    public void setShipAddress1(String shipAddress1)

### getShipAddress2

    public String getShipAddress2()

### setShipAddress2

    public void setShipAddress2(String shipAddress2)

### getShipCity

    public String getShipCity()

### setShipCity

    public void setShipCity(String shipCity)

### getShipState

    public String getShipState()

### setShipState

    public void setShipState(String shipState)

### getShipZip

    public String getShipZip()

### setShipZip

    public void setShipZip(String shipZip)

### getShipCountry

    public String getShipCountry()

### setShipCountry

    public void setShipCountry(String shipCountry)

### getBillAddress1

    public String getBillAddress1()

### setBillAddress1

    public void setBillAddress1(String billAddress1)

### getBillAddress2

    public String getBillAddress2()

### setBillAddress2

    public void setBillAddress2(String billAddress2)

### getBillCity

    public String getBillCity()

### setBillCity

    public void setBillCity(String billCity)

### getBillState

    public String getBillState()

### setBillState

    public void setBillState(String billState)

### getBillZip

    public String getBillZip()

### setBillZip

    public void setBillZip(String billZip)

### getBillCountry

    public String getBillCountry()

### setBillCountry

    public void setBillCountry(String billCountry)

### getCourier

    public String getCourier()

### setCourier

    public void setCourier(String courier)

### getTotalPrice

    public BigDecimal getTotalPrice()

### setTotalPrice

    public void setTotalPrice(BigDecimal totalPrice)

### getBillToFirstName

    public String getBillToFirstName()

### setBillToFirstName

    public void setBillToFirstName(String billToFirstName)

### getBillToLastName

    public String getBillToLastName()

### setBillToLastName

    public void setBillToLastName(String billToLastName)

### getShipToFirstName

    public String getShipToFirstName()

### setShipToFirstName

    public void setShipToFirstName(String shipFoFirstName)

### getShipToLastName

    public String getShipToLastName()

### setShipToLastName

    public void setShipToLastName(String shipToLastName)

### getCreditCard

    public String getCreditCard()

### setCreditCard

    public void setCreditCard(String creditCard)

### getExpiryDate

    public String getExpiryDate()

### setExpiryDate

    public void setExpiryDate(String expiryDate)

### getCardType

    public String getCardType()

### setCardType

    public void setCardType(String cardType)

### getLocale

    public String getLocale()

### setLocale

    public void setLocale(String locale)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### setLineItems

    public void setLineItems(List lineItems)

### getLineItems

    public List getLineItems()

### initOrder

    public void initOrder(Account account,
                          Cart cart)

### addLineItem

    public void addLineItem(CartItem cartItem)

### addLineItem

    public void addLineItem(LineItem lineItem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.